<?php
/**
 * Block Patterns
 *
 * @package bio_energy
 * @since 1.0
 */

function bio_energy_register_block_patterns() {
	$bio_energy_block_pattern_categories = array(
		'bio-energy' => array( 'label' => esc_html__( 'Bio Energy', 'bio-energy' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'bio-energy' ) ),
	);

	$bio_energy_block_pattern_categories = apply_filters( 'bio_energy_bio_energy_block_pattern_categories', $bio_energy_block_pattern_categories );

	foreach ( $bio_energy_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'bio_energy_register_block_patterns', 9 );